Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Upload custom scorer bundle

Upload a custom scorer as a multipart bundle (tar.gz)

POST/v1/projects/{projectId}/scorers/custom/bundle
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Request body
requiredmultipart/form-data
metadataUploadCustomScorerBundleMetadatarequired
Show properties
scorer_namestringrequired
entrypoint_pathstringrequired
requirements_pathstring
class_namestringrequired
scorer_typestring | null
Show properties
Any of:
string
Any of:
string
string
string
string
null
null
response_typestringrequired
Allowed:binarycategoricalnumeric
versionnumber
bump_majorboolean
categoriesobject[] | null
Show properties
Any of:
object[]
Array of object
valuestringrequired
descriptionstringrequired
null
null
bundlestring<binary>required
default: "File"
Responses
200

Response for status 200

scorer_namestringrequired
statusstringrequired
messagestringrequired
404

Response for status 404

errorstringrequired
messagestring
codestring
detailsstring[]
409

Response for status 409

errorstringrequired
messagestring
codestring
detailsstring[]
422

Response for status 422

errorstringrequired
messagestring
codestring
detailsstring[]
Try it
Server
Authorization
Parameters
Bodymultipart/form-data
Request
curl -X POST 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/scorers/custom/bundle' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json' \
  --form-string 'metadata={"scorer_name":"string","entrypoint_path":"string","requirements_path":"string","class_name":"string","scorer_type":"example","response_type":"binary","version":0,"bump_major":true,"categories":[{"value":"string","description":"string"}]}' \
  --form-string 'bundle=File'
Response
{
  "scorer_name": "string",
  "status": "string",
  "message": "string"
}

Was this page helpful?